lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "graphql_authorizer/version"

Gem::Specification.new do |spec|
  spec.name          = "graphql_authorizer"
  spec.version       = GraphQLAuthorizer::VERSION
  spec.authors       = ["Peter John Alvarado"]
  spec.email         = ["redjoker011@gmail.com"]

  spec.summary       = "GraphQL Authorizer provides simple authorization for"\
                       "GraphQL endpoints."
  spec.description   = "GraphQL Authorizer is built to provide request signature, timestamp validation, endpoint blocking and throttling using `rack-attack` gem."\
                       ""
  spec.homepage      = "https://www.gorated.ph"
  spec.license       = "MIT"

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "openssl", "~> 2.1.1", ">= 2.1.1"
  spec.add_development_dependency "activesupport", "~> 5.1.3", ">= 5.1.3"
  spec.add_development_dependency "bundler", "~> 1.16"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "minitest", "~> 5.0"
  spec.add_development_dependency "awesome_print", "~> 1.8.0", ">= 1.8.0"
  spec.add_development_dependency "pry", "~> 0.11.3", ">= 0.11.3"
end
